CREATE TABLE exm_travel_data_val_rules (
    VALIDATION_RULE_SET_ID    NUMBER(18, 0),
    VALIDATION_RULE_CODE      VARCHAR2(120),
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)     NOT NULL,
    ENABLE_FLAG               VARCHAR2(4)      NOT NULL,
    VALIDATION_TYPE           VARCHAR2(120)    NOT NULL,
    SOURCE_NAME               VARCHAR2(120),
    ATTRIBUTE_CATEGORY        VARCHAR2(600),
    ATTRIBUTE_CHAR1           VARCHAR2(600),
    ATTRIBUTE_CHAR2           VARCHAR2(600),
    ATTRIBUTE_CHAR3           VARCHAR2(600),
    ATTRIBUTE_CHAR4           VARCHAR2(600),
    ATTRIBUTE_CHAR5           VARCHAR2(600),
    ATTRIBUTE_CHAR6           VARCHAR2(600),
    ATTRIBUTE_CHAR7           VARCHAR2(600),
    ATTRIBUTE_CHAR8           VARCHAR2(600),
    ATTRIBUTE_CHAR9           VARCHAR2(600),
    ATTRIBUTE_CHAR10          VARCHAR2(600),
    ATTRIBUTE_CHAR11          VARCHAR2(600),
    ATTRIBUTE_CHAR12          VARCHAR2(600),
    ATTRIBUTE_CHAR13          VARCHAR2(600),
    ATTRIBUTE_CHAR14          VARCHAR2(600),
    ATTRIBUTE_CHAR15          VARCHAR2(600),
    ATTRIBUTE_NUMBER1         NUMBER       ,
    ATTRIBUTE_NUMBER2         NUMBER       ,
    ATTRIBUTE_NUMBER3         NUMBER       ,
    ATTRIBUTE_NUMBER4         NUMBER       ,
    ATTRIBUTE_NUMBER5         NUMBER       ,
    ATTRIBUTE_DATE1           DATE         ,
    ATTRIBUTE_DATE2           DATE         ,
    ATTRIBUTE_DATE3           DATE         ,
    ATTRIBUTE_DATE4           DATE         ,
    ATTRIBUTE_DATE5           DATE         ,
    ATTRIBUTE_DATETIME1       TIMESTAMP(6) ,
    ATTRIBUTE_DATETIME2       TIMESTAMP(6) ,
    CREATION_DATE             TIMESTAMP(6)     NOT NULL,
    CREATED_BY                VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128),
    VALIDATION_RULE_SET_ID    NUMBER(18, 0),
    VALIDATION_RULE_CODE      VARCHAR2(120),
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)     NOT NULL,
    ENABLE_FLAG               VARCHAR2(4)      NOT NULL,
    VALIDATION_TYPE           VARCHAR2(120)    NOT NULL,
    SOURCE_NAME               VARCHAR2(120),
    ATTRIBUTE_CATEGORY        VARCHAR2(600),
    ATTRIBUTE_CHAR1           VARCHAR2(600),
    ATTRIBUTE_CHAR2           VARCHAR2(600),
    ATTRIBUTE_CHAR3           VARCHAR2(600),
    ATTRIBUTE_CHAR4           VARCHAR2(600),
    ATTRIBUTE_CHAR5           VARCHAR2(600),
    ATTRIBUTE_CHAR6           VARCHAR2(600),
    ATTRIBUTE_CHAR7           VARCHAR2(600),
    ATTRIBUTE_CHAR8           VARCHAR2(600),
    ATTRIBUTE_CHAR9           VARCHAR2(600),
    ATTRIBUTE_CHAR10          VARCHAR2(600),
    ATTRIBUTE_CHAR11          VARCHAR2(600),
    ATTRIBUTE_CHAR12          VARCHAR2(600),
    ATTRIBUTE_CHAR13          VARCHAR2(600),
    ATTRIBUTE_CHAR14          VARCHAR2(600),
    ATTRIBUTE_CHAR15          VARCHAR2(600),
    ATTRIBUTE_NUMBER1         NUMBER       ,
    ATTRIBUTE_NUMBER2         NUMBER       ,
    ATTRIBUTE_NUMBER3         NUMBER       ,
    ATTRIBUTE_NUMBER4         NUMBER       ,
    ATTRIBUTE_NUMBER5         NUMBER       ,
    ATTRIBUTE_DATE1           DATE         ,
    ATTRIBUTE_DATE2           DATE         ,
    ATTRIBUTE_DATE3           DATE         ,
    ATTRIBUTE_DATE4           DATE         ,
    ATTRIBUTE_DATE5           DATE         ,
    ATTRIBUTE_DATETIME1       TIMESTAMP(6) ,
    ATTRIBUTE_DATETIME2       TIMESTAMP(6) ,
    CREATION_DATE             TIMESTAMP(6)     NOT NULL,
    CREATED_BY                VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128),
    CONSTRAINT pk_exm_travel_data_val_rules PRIMARY KEY (VALIDATION_RULE_SET_ID, VALIDATION_RULE_CODE, VALIDATION_RULE_SET_ID, VALIDATION_RULE_CODE)
);
